Page MenuHomePhabricator

Add recent changes link into main menu for AMC
Closed, ResolvedPublic2 Story Points

Description

Background

Once the recent changes page is in good shape to ship to AMC, we would like to add the recent changes link to the main menu for AMC users with it's updated icon

Acceptance criteria

  • Add recent changes link to AMC main menu
  • Icon for recent changes link should be as follows:

left to right:


right to left:

QA Results

ACStatusDetails
1T224216#5390686
2T224216#5390686

Details

Related Gerrit Patches:
mediawiki/skins/MinervaNeue : master[UI] [AMC] add recent changes to the AMC menu

Event Timeline

ovasileva triaged this task as Normal priority.May 23 2019, 12:01 PM
ovasileva created this task.
Jdlrobson added a subscriber: Jdlrobson.

Unblocking this as the recent changes changes seem to be wrapping up. Let's get an estimation on this.

Jdlrobson set the point value for this task to 1.Jul 30 2019, 4:11 PM
Jdlrobson changed the point value for this task from 1 to 2.Jul 30 2019, 4:15 PM
Jdlrobson raised the priority of this task from Normal to High.Jul 30 2019, 4:52 PM

Change 526493 had a related patch set uploaded (by Niedzielski; owner: Stephen Niedzielski):
[mediawiki/skins/MinervaNeue@master] [UI] [AMC] add recent changes to the AMC menu

https://gerrit.wikimedia.org/r/526493

Niedzielski removed Niedzielski as the assignee of this task.Jul 30 2019, 5:32 PM
Niedzielski added a subscriber: Niedzielski.

Change 526493 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] [UI] [AMC] add recent changes to the AMC menu

https://gerrit.wikimedia.org/r/526493

Edtadros reassigned this task from Edtadros to ovasileva.Aug 4 2019, 4:12 PM
Edtadros added a subscriber: Edtadros.

Test Result

Status: ✅ PASS
OS: macOS Mojave
Browser: Chrome
Device: MBP
Emulated Device: iPhoneX

Test Artifact(s):

QA Steps

Validate Recent Changes appears in menu with the correct icon.

✅ AC1: LTR

✅ AC2: RTL

Edtadros updated the task description. (Show Details)Aug 4 2019, 4:13 PM
ovasileva closed this task as Resolved.Aug 6 2019, 1:26 PM

all done!